Skip to content

Site Status Metrics.

POST
/api/data/namespaces/{namespace}/site/{site}/status/metrics
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/site/example/status/metrics \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "end_time": "example", "field_selector": [ "SITE_ACTIVE_FLOW_COUNT" ], "namespace": "example", "site": "example", "start_time": "example", "step": "example" }'

GET status metrics for a site.

Examples of this operation.

namespace
required
string

Namespace

x-required Only system namespace is valid for this request.

site
required
string

Site

x-required Name of the site.

Media typeapplication/json
Site Status Metrics Request

Request to GET status metrics for a site.

object
end_time
End time

End time of metric collection from which data will be considered. Format: unix_timestamp|RFC 3339

Optional: If not specified, then the end_time will be evaluated to start_time+10m If start_time is not specified, then the end_time will be evaluated to

string
<= 1024 characters
field_selector
Field Selector

List of fields to be returned in the response

Required: YES.

Array<string>
Allowed values: SITE_ACTIVE_FLOW_COUNT SITE_FLOW_SETUP_RATE SITE_IN_THROUGHPUT SITE_OUT_THROUGHPUT SITE_SYSTEM_ACTIVE_POD_COUNT SITE_VK8S_ACTIVE_POD_COUNT SITE_RE_IN_THROUGHPUT SITE_RE_OUT_THROUGHPUT SITE_SITE_IN_THROUGHPUT SITE_SITE_OUT_THROUGHPUT SITE_NODE_CPU_USAGE SITE_NODE_MEMORY_USAGE SITE_NODE_DISK_USAGE SITE_NODE_ACTIVE_FLOW_COUNT SITE_NODE_FLOW_SETUP_RATE SITE_NODE_IN_THROUGHPUT SITE_NODE_OUT_THROUGHPUT SITE_NODE_IF_IN_THROUGHPUT SITE_NODE_IF_OUT_THROUGHPUT
namespace
Namespace

Only system namespace is valid for this request Required: YES.

string
>= 6 characters <= 1024 characters
site
Site

Name of the site Required: YES.

string
<= 1024 characters
start_time
Start time

Start time of metric collection from which data will be considered. Format: unix_timestamp|RFC 3339

Optional: If not specified, then the start_time will be evaluated to end_time-10m If end_time is not specified, then the start_time will be evaluated to -10m.

string
<= 1024 characters
step
Step

Step is the resolution width, which determines the number of the data points [x-axis (time)] to be returned in the response. The timestamps in the response will be t1=start_time, t2=t1+step, … Tn=tn-1+step, where tn <= end_time. Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days

Optional: If not specified, then step size is evaluated to <end_time - start_time>

string
<= 1024 characters

A successful response.

Media typeapplication/json
Site Status Metrics Response

Response for the Site Status Metrics Request.

object
data
Data

Data contains time-series data for the status fields in the request.

Array<object>
SiteStatusMetricsData

Site Status Data contains name of the field and the corresponding data.

object
data
Data

List of metric data.

Array<object>
SiteStatusMetricsFieldData

Site Status Field Data contains key/value pair for a field.

object
key
Key

Key contains name/value pair. For SITE_RE_IN_THROUGHPUT, the key will be “name”: "" For SITE_NODE_IF_IN_THROUGHPUT, the key will be “name”: ""

object
value
Value

List of metric values.

Array<object>
>= 3 characters <= 15 characters
Metric Value

Metric data contains timestamp and the value.

object
timestamp
Timestamp

Timestamp

number format: double
trend_value
object
description
Description

X-displayName: “Description” description of the method used to calculate trend.

string
>= 21 characters <= 1024 characters
previous_value
Previous Value

X-displayName: “Previous Value”

string
<= 1024 characters
sentiment
string
default: TREND_SENTIMENT_NONE
Allowed values: TREND_SENTIMENT_NONE TREND_SENTIMENT_POSITIVE TREND_SENTIMENT_NEGATIVE
value
Value

X-displayName: “Value”

string
>= 3 characters <= 1024 characters
value
Value

Configuration parameter for value

string
>= 3 characters <= 1024 characters
field
string
default: SITE_ACTIVE_FLOW_COUNT
Allowed values: SITE_ACTIVE_FLOW_COUNT SITE_FLOW_SETUP_RATE SITE_IN_THROUGHPUT SITE_OUT_THROUGHPUT SITE_SYSTEM_ACTIVE_POD_COUNT SITE_VK8S_ACTIVE_POD_COUNT SITE_RE_IN_THROUGHPUT SITE_RE_OUT_THROUGHPUT SITE_SITE_IN_THROUGHPUT SITE_SITE_OUT_THROUGHPUT SITE_NODE_CPU_USAGE SITE_NODE_MEMORY_USAGE SITE_NODE_DISK_USAGE SITE_NODE_ACTIVE_FLOW_COUNT SITE_NODE_FLOW_SETUP_RATE SITE_NODE_IN_THROUGHPUT SITE_NODE_OUT_THROUGHPUT SITE_NODE_IF_IN_THROUGHPUT SITE_NODE_IF_OUT_THROUGHPUT
unit
string
default: UNIT_MILLISECONDS
Allowed values: UNIT_MILLISECONDS UNIT_SECONDS UNIT_MINUTES UNIT_HOURS UNIT_DAYS UNIT_BYTES UNIT_KBYTES UNIT_MBYTES UNIT_GBYTES UNIT_TBYTES UNIT_KIBIBYTES UNIT_MIBIBYTES UNIT_GIBIBYTES UNIT_TEBIBYTES UNIT_BITS_PER_SECOND UNIT_BYTES_PER_SECOND UNIT_KBITS_PER_SECOND UNIT_KBYTES_PER_SECOND UNIT_MBITS_PER_SECOND UNIT_MBYTES_PER_SECOND UNIT_CONNECTIONS_PER_SECOND UNIT_ERRORS_PER_SECOND UNIT_PACKETS_PER_SECOND UNIT_REQUESTS_PER_SECOND UNIT_PACKETS UNIT_PERCENTAGE UNIT_COUNT
step
step

Actual step size used in the response. It could be higher than the requested step due to metric rollups and the query duration. Format: [0-9][smhd], where s - seconds, m - minutes, h - hours, d - days.

string
<= 1024 characters
Example
{
"data": [
{
"data": [
{
"value": [
{
"trend_value": {
"sentiment": "TREND_SENTIMENT_NONE"
}
}
]
}
],
"field": "SITE_ACTIVE_FLOW_COUNT",
"unit": "UNIT_MILLISECONDS"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example